#include "/home/ae24/pxsc/sys/p88rts.i"

#define global  
#include "stdmod.h"
#undef global

extern a_real r_cnst ();
extern a_real r_cnsd ();
extern a_real r_cnsu ();
extern a_real r_flot ();
extern void s02tdmod (X, Y)
a_real * X;
a_intg Y;

{
  e_push ("  ", "stdmod.p");
  e_line=31;
  
  (*X) = r_flot(Y);
  e_popp ();
  }
extern void d_ass ();
extern a_real r_mant ();
extern a_real r_comp ();
extern a_intg r_expo ();
extern a_real r_succ ();
extern a_real r_pred ();
extern a_intg r_sign ();
extern a_intg d_sign ();
extern a_intg a_abs_ ();
extern a_intg a_sqr_ ();
extern a_intg a_div_ ();
extern a_intg a_mod_ ();
extern a_intg r_trun ();
extern a_intg r_rond ();
extern a_real r_abs ();
extern a_real t_sqrt ();
extern a_real t_exp ();
extern a_real r_loga ();
extern a_real t_log ();
extern a_real t_log2 ();
extern a_real t_lg10 ();
extern a_real t_pow ();
extern a_real t_exp2 ();
extern a_real t_ex10 ();
extern a_real t_sin ();
extern a_real t_cos ();
extern a_real t_tan ();
extern a_real t_cot ();
extern a_real t_asin ();
extern a_real t_acos ();
extern a_real t_atan ();
extern a_real t_acot ();
extern a_real t_atn2 ();
extern a_real t_sinh ();
extern a_real t_cosh ();
extern a_real t_tanh ();
extern a_real t_coth ();
extern a_real t_asnh ();
extern a_real t_acsh ();
extern a_real t_atnh ();
extern a_real t_acth ();
extern a_real r_scpy ();
extern a_cmpx c_scpy ();
extern a_intv i_scpy ();
extern a_cinv z_scpy ();
extern a_real r_umin ();
extern a_real r_addn ();
extern a_real r_addd ();
extern a_real r_addu ();
extern a_real r_subn ();
extern a_real r_subd ();
extern a_real r_subu ();
extern a_real r_muln ();
extern a_real r_muld ();
extern a_real r_mulu ();
extern a_real r_divn ();
extern a_real r_divd ();
extern a_real r_divu ();
extern a_bool r_eq ();
extern a_bool r_ge ();
extern a_bool r_gt ();
extern a_bool r_le ();
extern a_bool r_lt ();
extern a_bool r_ne ();
extern a_real s1Vtdmod (R)
a_real R;

{
  a_real  re_000;
  e_push ("SQR", "stdmod.p");
  e_line=103;
  
  re_000 = r_muln(R,R);
  e_popp ();
  return re_000;
  }
extern a_real s1Wtdmod (X, Y)
a_intg X;
a_real Y;

{
  a_real  NRADD;
  e_push ("NRADD", "stdmod.p");
  e_line=106;
  
  NRADD = r_addn(r_flot(X),Y);
  e_popp ();
  return NRADD;
  }
extern a_real s1Xtdmod (X, Y)
a_real X;
a_intg Y;

{
  a_real  RNADD;
  e_push ("RNADD", "stdmod.p");
  e_line=108;
  
  RNADD = r_addn(X,r_flot(Y));
  e_popp ();
  return RNADD;
  }
extern a_real s1Ytdmod (X, Y)
a_intg X;
a_real Y;

{
  a_real  NRSUB;
  e_push ("NRSUB", "stdmod.p");
  e_line=110;
  
  NRSUB = r_subn(r_flot(X),Y);
  e_popp ();
  return NRSUB;
  }
extern a_real s1Ztdmod (X, Y)
a_real X;
a_intg Y;

{
  a_real  RNSUB;
  e_push ("RNSUB", "stdmod.p");
  e_line=112;
  
  RNSUB = r_subn(X,r_flot(Y));
  e_popp ();
  return RNSUB;
  }
extern a_real s20tdmod (X, Y)
a_intg X;
a_real Y;

{
  a_real  NRMUL;
  e_push ("NRMUL", "stdmod.p");
  e_line=114;
  
  NRMUL = r_muln(r_flot(X),Y);
  e_popp ();
  return NRMUL;
  }
extern a_real s21tdmod (X, Y)
a_real X;
a_intg Y;

{
  a_real  RNMUL;
  e_push ("RNMUL", "stdmod.p");
  e_line=116;
  
  RNMUL = r_muln(X,r_flot(Y));
  e_popp ();
  return RNMUL;
  }
extern a_real s22tdmod (X, Y)
a_intg X;
a_real Y;

{
  a_real  NRDIV;
  e_push ("NRDIV", "stdmod.p");
  e_line=118;
  
  NRDIV = r_divn(r_flot(X),Y);
  e_popp ();
  return NRDIV;
  }
extern a_real s23tdmod (X, Y)
a_real X;
a_intg Y;

{
  a_real  RNDIV;
  e_push ("RNDIV", "stdmod.p");
  e_line=120;
  
  RNDIV = r_divn(X,r_flot(Y));
  e_popp ();
  return RNDIV;
  }
extern a_real s24tdmod (I, J)
a_intg I;
a_intg J;

{
  a_real  R;
  e_push ("R", "stdmod.p");
  e_line=122;
  
  R = r_divn(r_flot(I),r_flot(J));
  e_popp ();
  return R;
  }
extern a_bool s25tdmod (X, Y)
a_intg X;
a_real Y;

{
  a_bool  NREQ;
  e_push ("NREQ", "stdmod.p");
  e_line=126;
  
  NREQ = r_eq(r_flot(X),Y);
  e_popp ();
  return NREQ;
  }
extern a_bool s26tdmod (X, Y)
a_real X;
a_intg Y;

{
  a_bool  RNEQ;
  e_push ("RNEQ", "stdmod.p");
  e_line=128;
  
  RNEQ = r_eq(X,r_flot(Y));
  e_popp ();
  return RNEQ;
  }
extern a_bool s27tdmod (X, Y)
a_intg X;
a_real Y;

{
  a_bool  NRGE;
  e_push ("NRGE", "stdmod.p");
  e_line=130;
  
  NRGE = r_ge(r_flot(X),Y);
  e_popp ();
  return NRGE;
  }
extern a_bool s28tdmod (X, Y)
a_real X;
a_intg Y;

{
  a_bool  RNGE;
  e_push ("RNGE", "stdmod.p");
  e_line=132;
  
  RNGE = r_ge(X,r_flot(Y));
  e_popp ();
  return RNGE;
  }
extern a_bool s29tdmod (X, Y)
a_intg X;
a_real Y;

{
  a_bool  NRGT;
  e_push ("NRGT", "stdmod.p");
  e_line=134;
  
  NRGT = r_gt(r_flot(X),Y);
  e_popp ();
  return NRGT;
  }
extern a_bool s2Atdmod (X, Y)
a_real X;
a_intg Y;

{
  a_bool  RNGT;
  e_push ("RNGT", "stdmod.p");
  e_line=136;
  
  RNGT = r_gt(X,r_flot(Y));
  e_popp ();
  return RNGT;
  }
extern a_bool s2Btdmod (X, Y)
a_intg X;
a_real Y;

{
  a_bool  NRLE;
  e_push ("NRLE", "stdmod.p");
  e_line=138;
  
  NRLE = r_le(r_flot(X),Y);
  e_popp ();
  return NRLE;
  }
extern a_bool s2Ctdmod (X, Y)
a_real X;
a_intg Y;

{
  a_bool  RNLE;
  e_push ("RNLE", "stdmod.p");
  e_line=140;
  
  RNLE = r_le(X,r_flot(Y));
  e_popp ();
  return RNLE;
  }
extern a_bool s2Dtdmod (X, Y)
a_intg X;
a_real Y;

{
  a_bool  NRLT;
  e_push ("NRLT", "stdmod.p");
  e_line=142;
  
  NRLT = r_lt(r_flot(X),Y);
  e_popp ();
  return NRLT;
  }
extern a_bool s2Etdmod (X, Y)
a_real X;
a_intg Y;

{
  a_bool  RNLT;
  e_push ("RNLT", "stdmod.p");
  e_line=144;
  
  RNLT = r_lt(X,r_flot(Y));
  e_popp ();
  return RNLT;
  }
extern a_bool s2Ftdmod (X, Y)
a_intg X;
a_real Y;

{
  a_bool  NRNE;
  e_push ("NRNE", "stdmod.p");
  e_line=146;
  
  NRNE = r_ne(r_flot(X),Y);
  e_popp ();
  return NRNE;
  }
extern a_bool s2Gtdmod (X, Y)
a_real X;
a_intg Y;

{
  a_bool  RNNE;
  e_push ("RNNE", "stdmod.p");
  e_line=148;
  
  RNNE = r_ne(X,r_flot(Y));
  e_popp ();
  return RNNE;
  }
extern s_trng s_char ();
extern s_trng s_conc ();
extern void s_asgn ();
extern a_bool s_sseq ();
extern a_bool s_ssge ();
extern a_bool s_ssgt ();
extern a_bool s_ssle ();
extern a_bool s_sslt ();
extern a_bool s_ssne ();
extern a_bool s_sceq ();
extern a_bool s_scge ();
extern a_bool s_scgt ();
extern a_bool s_scle ();
extern a_bool s_sclt ();
extern a_bool s_scne ();
extern a_bool s_cceq ();
extern a_bool s_csge ();
extern a_bool s_csgt ();
extern a_bool s_csle ();
extern a_bool s_cslt ();
extern a_bool s_csne ();
extern a_intg s_len_ ();
extern a_intg s_alen ();
extern void s_slen ();
extern a_intg s_spos ();
extern a_intg s_cpos ();
extern s_trng s_subs ();
extern a_bool s38tdmod (S, T)
s_trng S;
s_trng T;

{
  a_bool  SSIN;
  e_push ("SSIN", "stdmod.p");
  e_line=183;
  s_vlcp((s_trng*) &S);
  s_vlcp((s_trng*) &T);
  
  SSIN = s_spos(S,T)!=(a_intg)0;
  s_free((s_trng*) &S);
  s_free((s_trng*) &T);
  e_popp ();
  return SSIN;
  }
extern a_intg a_sval ();
extern a_intg a_ival ();
extern a_real r_sval ();
extern a_real r_rval ();
extern a_real s3Dtdmod (S, REST)
s_trng S;
s_trng * REST;

{
  a_real  re_000;
  e_push ("RVAL", "stdmod.p");
  e_line=194;
  s_vlcp((s_trng*) &S);
  
  re_000 = r_sval(S,(a_intg)0,&(*REST));
  s_free((s_trng*) &S);
  e_popp ();
  return re_000;
  }
extern a_real s3Etdmod (S)
s_trng S;

{
  a_real  re_000;
  s_trng DUMMY;
  e_push ("RVAL", "stdmod.p");
  e_line=196;
  s_vlcp((s_trng*) &S);
  s_init ((s_trng *) &DUMMY,0);
  
  re_000 = r_sval(S,(a_intg)0,&DUMMY);
  s_free((s_trng*) &DUMMY);
  s_free((s_trng*) &S);
  e_popp ();
  return re_000;
  }
extern s_trng s_int_ ();
extern s_trng s3Gtdmod (I)
a_intg I;

{
  s_trng  re_000;
  e_push ("IMAGE", "stdmod.p");
  e_line=200;
  s_init ((s_trng *) &re_000,0);
  
  s_asgn(&re_000,s_int_(I,(a_intg)0));
  s_temp((s_trng*) &re_000);
  e_popp ();
  return re_000;
  }
extern s_trng s_real ();
extern s_trng s3Itdmod (R, W, F)
a_real R;
a_intg W;
a_intg F;

{
  s_trng  re_000;
  e_push ("IMAGE", "stdmod.p");
  e_line=204;
  s_init ((s_trng *) &re_000,0);
  
  s_asgn(&re_000,s_real(R,W,F,(a_intg)0));
  s_temp((s_trng*) &re_000);
  e_popp ();
  return re_000;
  }
extern s_trng s3Jtdmod (R, W)
a_real R;
a_intg W;

{
  s_trng  re_000;
  e_push ("IMAGE", "stdmod.p");
  e_line=206;
  s_init ((s_trng *) &re_000,0);
  
  s_asgn(&re_000,s_real(R,W,(a_intg)0,(a_intg)0));
  s_temp((s_trng*) &re_000);
  e_popp ();
  return re_000;
  }
extern s_trng s3Ktdmod (R)
a_real R;

{
  s_trng  re_000;
  e_push ("IMAGE", "stdmod.p");
  e_line=208;
  s_init ((s_trng *) &re_000,0);
  
  s_asgn(&re_000,s_real(R,(a_intg)0,(a_intg)0,(a_intg)0));
  s_temp((s_trng*) &re_000);
  e_popp ();
  return re_000;
  }
extern void f_rdln ();
extern void f_wrln ();
extern void f_rdh1 ();
extern void f_rds1 ();
extern void f_rdi1 ();
extern void f_rdr1 ();
extern void f_rdr2 ();
extern void f_wrh1 ();
extern void f_wrh2 ();
extern void f_wrs1 ();
extern void f_wrs2 ();
extern void f_wri1 ();
extern void f_wri2 ();
extern void f_wrb1 ();
extern void f_wrb2 ();
extern void f_wrr1 ();
extern void f_wrr2 ();
extern void f_wrr3 ();
extern void f_wrr4 ();
extern void s44tdmod (T)
f_text * T;

{
  e_push ("PAGE", "stdmod.p");
  e_line=233;
  
  f_wrh1(&(*T),a_chrx((a_intg)12));
  e_popp ();
  }
extern void s45tdmod ()

{
  e_push ("PAGE", "stdmod.p");
  e_line=234;
  
  f_wrh1(&f_outp,a_chrx((a_intg)12));
  e_popp ();
  }
extern void f_srse ();
extern void f_srwi ();

extern void s00tdmod()
{
  e_push ("stdmod.p", "stdmod.p");
  e_line=239;
  ;
  e_popp ();
  
}
